//Source file: C:\\GENERATE_JAVA\\generate_prod_cons\\principal.java
import java.util.Collection;


public class principal
{
	public static void main(String[] args)
	{
		stock st = new srock();
		producteur op1 = new producteur(st);
		producteur op2 = new producteur(st);
		consommateur co1=new consommateur(st);
		consommateur co2 = new consommateur(st);

		op1.start();
		co1.start();
		op2.start();
		co2.start();

	}

}